package cn.estsh.i3plus.pojo.model.dynamic.table;

import lombok.Data;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

/**
 * @Description :
 * @Reference :
 * @Author : Adair Peng
 * @CreateDate : 2018-12-11 15:37
 * @Modify: 动态Table Row
 **/
@Data
public class ImppDynTable implements Serializable {

    private static final long serialVersionUID = 6634878862426951453L;
    // 行数据
    private Map<String, DynTableRow> table = new HashMap<>();

    // 表单标题
    private String tableTitle;
    // 表单总记录数
    private Long tableSize;

    public ImppDynTable() {
    }

    public ImppDynTable(String tableTitle) {
        this.tableTitle = tableTitle;
    }

    public Long getTableSize() {
        return new Long(table.size());
    }

    private void setTableSize(Long tableSize) {
        this.tableSize = tableSize;
    }
}
